Summary:        A hardware detection tool
Name:           hwinfo
Version:        20.1
Release:        1%{?dist}%{?pext}
License:        GPLv2
Group:          System Environment/Libraries
Source0:        https://gitorious.org/opensuse/%{name}/archive/%{name}-%{version}.tar.gz
Patch0:         %{name}-20.1-build.patch
URL:            http://gitorious.org/opensuse/%{name}/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Steffen Winterfeldt <snwint@suse.de>
Requires:       libhd = %{version}-%{release}
BuildRequires:  dbus-devel doxygen flex libx86emu-devel

%description
Hwinfo is the hardware detection tool used in SuSE Linux.


%package     -n libhd
Summary:        A hardware detection library
Group:          System Environment/Libraries

%description -n libhd
Libhd is the runtime library for the hardware detection tool hwinfo.


%package     -n libhd-devel
Summary:        Development tools for libhd
Group:          Development/Libraries
Requires:       libhd = %{version}-%{release}

%description -n libhd-devel
The libhd-devel package contains the libraries and header files for
developing software using libhd.


%package     -n libhd-static
Summary:        Static libraries for libhd
Group:          Development/Libraries
Requires:       libhd-devel = %{version}-%{release}
Requires:       libx86emu-static

%description -n libhd-static
The libhd-static package contains the statically linkable libraries
for libhd.


%prep
%setup -q
%patch0 -p1


%build
%{__make} LIBDIR=%{_libdir} #%{?_smp_mflags}

# Generate docs
%{__make} doc


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man{1,8}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	LIBDIR=%{_libdir}         \
	install

%{__install} -m 0644 doc/*.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
%{__install} -m 0644 doc/*.8 ${RPM_BUILD_ROOT}%{_mandir}/man8

# Cleanup
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,??}


%post -n libhd -p /sbin/ldconfig


%postun -n libhd -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGELOG COPYING MAINTAINER README
%{_sbindir}/check_hd
%{_sbindir}/convert_hd
%{_sbindir}/getsysinfo
%{_sbindir}/%{name}
%{_sbindir}/mk_isdnhwdb
%{_datadir}/%{name}
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*

%files -n libhd
%defattr(-,root,root)
%{_libdir}/libhd.so.*

%files -n libhd-devel
%defattr(-,root,root)
%doc doc/example* doc/libhd/html
%{_includedir}/hd.h
%{_libdir}/libhd.so
%{_libdir}/pkgconfig/hwinfo.pc

%files -n libhd-static
%defattr(-,root,root)
%{_libdir}/libhd.a


%changelog
* Sun Mar 02 2014 Peter Pramberger <peterpramb@member.fsf.org> - 20.1-1
- Initial build
